---
apiVersion: gateway.networking.k8s.io/v1
kind: Gateway
metadata:
  labels:
    traefik.io/instance: internal
  annotations:
    cert-manager.io/cluster-issuer: vault-issuer
    cert-manager.io/common-name: ldap.k8s.syd1.au.unkin.net
    cert-manager.io/private-key-size: "4096"
  name: authentik-ldap
  namespace: authentik
spec:
  gatewayClassName: traefik-internal
  listeners:
    - allowedRoutes:
        namespaces:
          from: Same
      hostname: ldap.k8s.syd1.au.unkin.net
      name: ldaps-internal
      port: 636
      protocol: TLS
      tls:
        mode: Passthrough
    - allowedRoutes:
        namespaces:
          from: Same
      hostname: ldap.main.unkin.net
      name: ldaps-main
      port: 636
      protocol: TLS
      tls:
        mode: Passthrough
    - allowedRoutes:
        namespaces:
          from: Same
      hostname: ldap.k8s.syd1.au.unkin.net
      name: http-dns
      port: 80
      protocol: HTTP
    - allowedRoutes:
        namespaces:
          from: Same
      hostname: ldap.main.unkin.net
      name: http-dns-main
      port: 80
      protocol: HTTP
